body {
    margin: 20px;
    font-family: Arial, sans-serif;
}

.container {
    display: grid;
    grid-template-columns: auto 20% 20% auto;
    grid-template-rows: 20px 50px repeat(4, 150px);
    grid-gap: 20px;
    grid-template-areas:
        "navbar navbar navbar navbar"
        "heading heading heading heading"
        "bigimage bigimage bigimage mediumimage"
        "bigimage bigimage bigimage mediumimage";
}

.navbar {
    grid-area: navbar;
    background-color: white;
    display: flex;
}

.navbar li {
    display: inline-block;
    list-style-type: none;
}

a {
    text-decoration: none;
    color: black;
    padding: 10px;
}

.heading {
    grid-area: heading;
    text-align: center;
}

.bigimage {
    grid-area: bigimage;
}

.mediumimage {
    grid-area: mediumimage;
}

.smallimages { 
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.text {
    font-family: 'Times New Roman', Times, serif;
    text-align: center;
    font-size: 16px;
    line-height: 1.8;
}

h5 {
    padding: 0;
    margin: 4px;
    color: rgb(209, 103, 21);
    text-transform: uppercase;
}

/* Media Query for Mobile Devices */
@media (max-width: 600px) {
    .container {
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
        grid-template-areas:
            "navbar navbar"
            "heading heading"
            "bigimage bigimage"
            "bigimage bigimage"
            "mediumimage mediumimage"
            "mediumimage mediumimage";
    }

    body {
        margin: 10px;
    }

    .text,
    a {
        font-size: 14px;
    }

    img {
        border-radius: 10px;
    }

    .smallimage img {
        height: 150px;
    }
}
